//---------------------------------------------------------------------------
#ifndef fkostkaH
#define fkostkaH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>

#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPaintBox *PaintBox1;
	TPanel *Panel1;
	TTrackBar *TrackBar1;
	void __fastcall FormKeyPress(TObject *Sender, char &Key);
	void __fastcall PaintBox1Paint(TObject *Sender);
    void __fastcall TrackBar1Change(TObject *Sender);
private:	// User declarations
    double v;
    void kolor_red( TCanvas *cnv, int i, int j);
    void kolor_green( TCanvas *cnv, int i, int j);
    void kolor_blue( TCanvas *cnv, int i, int j);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
